> For the complete documentation index, see [llms.txt](https://docs.bcbi.brown.edu/codiac-for-health/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bcbi.brown.edu/codiac-for-health/computing/julia/juliastats.md).

# JuliaStats

JuliaStats contains basic statistics functionality, which can be used as the foundation for  statistics, machine learning, and data science needs. It is efficient, scalable, and reusable!

## Installation & Setup

JuliaStats is not a single package, but rather a suite of packages. Specific packages can be downloaded depending on your needs.

To begin, import the package manager and initialize your desired package with the following code.

```julia
import Pkg
Pkg.add(*package name*)

using *package name*
```

For example, if you wanted to download the `StatsBase` package, use the following code.

```julia
import Pkg
Pkg.add("StatsBase")

using StatsBase
```

## Commonly Used Packages

| Package                | Use                                                                        |
| ---------------------- | -------------------------------------------------------------------------- |
| `StatsBase.jl`         | Basic statistics, weights, sampling, counts, and summary statistics.       |
| `Distributions.jl`     | Probability distributions and related functions (PDF, CDF, sampling, etc). |
| `StatsModel.jl`        | Statistical model formulas                                                 |
| `GLM.jl`               | Generalized linear models (e.g., linear regression, logistic regression).  |
| `MixedModels.jl`       | Linear and generalized linear mixed-effects models.                        |
| `HypothesisTest.jl`    | Statistical hypothesis tests (t-tests, chi-squared, ANOVA, etc).           |
| `MultivariateStats.jl` | Multivariate analysis (PCA, factor analysis, ICA, etc).                    |

Please refer to each package's documentation for a list of available functions and their usage.&#x20;

## Example

```julia
# Using StatsBase
data = ..
mean_val = mean(data)
var_val = var(data)

# Using Distributions
pdf_val = pdf(Normal(0,1), 1)

# Using GLM
df = DataFrame(..)
model = lm(@formula(y ~ x), df)
```

## Resources

* [JuliaStats](https://github.com/JuliaStats)
* [StatsModels](https://juliastats.org/StatsModels.jl/stable/)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bcbi.brown.edu/codiac-for-health/computing/julia/juliastats.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
